import React from 'react';
import { type ConnectionInfo } from '@mongodb-js/compass-connections/provider';
import type { OpenWorkspaceOptions } from '@mongodb-js/compass-workspaces';
import WorkspacesPlugin from '@mongodb-js/compass-workspaces';
import type { AllPreferences } from 'compass-preferences-model/provider';
import type { TrackFunction, LogFunction, DebugFunction } from './logger-and-telemetry';
type CompassWebProps = {
    appName?: string;
    orgId: string;
    projectId: string;
    darkMode?: boolean;
    renderConnecting?: (connectionInfo: ConnectionInfo | null) => React.ReactNode;
    renderError?: (connectionInfo: ConnectionInfo | null, err: any) => React.ReactNode;
    initialWorkspace: Extract<OpenWorkspaceOptions, {
        type: 'Databases' | 'Collections' | 'Collection';
    }>;
    onActiveWorkspaceTabChange: React.ComponentProps<typeof WorkspacesPlugin>['onActiveWorkspaceTabChange'];
    initialPreferences?: Partial<AllPreferences>;
    onLog?: LogFunction;
    onDebug?: DebugFunction;
    onTrack?: TrackFunction;
};
declare const CompassWeb: ({ appName, orgId, projectId, darkMode, initialWorkspace, onActiveWorkspaceTabChange, initialPreferences, renderConnecting, renderError, onLog, onDebug, onTrack, __TEST_MONGODB_DATA_SERVICE_CONNECT_FN, }: CompassWebProps) => JSX.Element;
export { CompassWeb };
//# sourceMappingURL=entrypoint.d.ts.map